Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class SplittedPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.openide.awt.SplittedPanel

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

Deprecated. This class does nothing interesting that cannot be done with a JSplitPane. Use a JSplitPane instead.

    public class SplittedPanel

extends JComponent
implements Accessible

The SplittedPanel widget is a Panel that can contain one or two components and place them side-by-side vertically or horizontally with a splitter in the middle. User can move the split point by dragging the splitter with mouse. The two components are accessed by add/remove methods with constraints value ADD_SPLITTER, ADD_FIRST, ADD_SECOND, .... The split position could be either absolute or proportional (according to the "Absolute" property setting) - in thwe absolute mode the split point remains same when resizing (i.e. the left/top component keeps its size and only the right/bottom component resizes), while in the proportional mode the splitPosition is a percentage of the width/height assigned to the left/top component.

Property | Property Type | Description
--- | --- | ---
SplitType | int | The type of the splitting - HORIZONTAL, VERTICAL or NONE
SplitPosition | int | The position of the split point - either absolute position or number of percents according to the "Absolute" property settings, could be one of FIRST_PREFERRED or SECOND_PREFERRED, which means that the split point should be placed so that the first(left/top) resp. second (bottom/rignt) is sized according to its preferredSize (in this case the Absolute property setting is ignored)
SplitterType | int | The type of the component that renders the splitter - DEFAULT_SPLITTER, RAISED_SPLITTER, EMPTY_SPLITTER.
SplitterComponent | Component | The component that renders the splitter. A custom component can be provided in addition to EMPTY_SPLITTER and RAISED-SPLITTER using this method.
SplitAbsolute | boolean | if true then the meaning of the SplitPosition is absolute points, otherwise the SplitPosition is a number of percents
SplitDragable | boolean | if true then the split point can be dragged using a mouse, otherwise the SplitPosition is fixed
SplitTypeChangeEnabled | boolean | if true then the split type can be changed via popup menu commands
SwapPanesEnabled | boolean | if true then the panes can be swapped via popup menu command

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SplittedPanel.EmptySplitter` Deprecated. This class does nothing interesting that cannot be done with a JSplitPane. Use a JSplitPane instead.
`static class` | `SplittedPanel.SplitChangeEvent` Deprecated. This class does nothing interesting that cannot be done with a JSplitPane. Use a JSplitPane instead.
`static interface` | `SplittedPanel.SplitChangeListener` Deprecated. A listener interface for tracking split point changes

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static Object` | `ADD_BOTTOM` Deprecated. constraints constant for adding a component to the bottom(right) pane (an alias for the ADD_SECOND constant)
`static Object` | `ADD_FIRST` Deprecated. constraints constant for adding a component to the first (left/top) pane
`static Object` | `ADD_LEFT` Deprecated. constraints constant for adding a component to the left(top) pane (an alias for the ADD_FIRST constant)
`static Object` | `ADD_RIGHT` Deprecated. constraints constant for adding a component to the right(bottom) pane (an alias for the ADD_SECOND constant)
`static Object` | `ADD_SECOND` Deprecated. constraints constant for adding a component to the second (right/bottom) pane
`static Object` | `ADD_SPLITTER` Deprecated. constraints constant for adding a splitter
`static Object` | `ADD_TOP` Deprecated. constraints constant for adding a component to the top(left) pane (an alias for the ADD_FIRST constant)
`static int` | `DEFAULT_SPLITTER` Deprecated. constant for splitter component types - default splitter (raised)
`static int` | `EMPTY_SPLITTER` Deprecated. constant for splitter component types - empty splitter
`static int` | `FIRST_PREFERRED` Deprecated. constant for moving the split point so that the first (left/top) component is sized according to its preferredSize
`static int` | `HORIZONTAL` Deprecated. constant for horizontal split
`static int` | `NONE` Deprecated. constant for no split - only the first (left/top) component will be shown
`static int` | `RAISED_SPLITTER` Deprecated. constant for splitter component types - raised splitter
`static int` | `SECOND_PREFERRED` Deprecated. constant for moving the split point so that the second (right/bottom) component is sized according to its preferredSize
`static int` | `VERTICAL` Deprecated. constant for vertical split

Fields inherited from class javax.swing.JComponent
`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SplittedPanel()` Deprecated. Constructs a new empty SplittedPanel with no spliting.

Method Summary
`void` | `addSplitChangeListener(SplittedPanel.SplitChangeListener l)` Deprecated. Adds specified listener to the current set of SplitChangeListeners
`protected void` | `computeSizesAfterFlip()` Deprecated. Computes component sizes after performing the flip, it means splitTypeChange
`protected void` | `fireSplitChange(int oldValue, int newValue)` Deprecated. Fires the SplitChange event
`AccessibleContext` | `getAccessibleContext()` Deprecated.
`boolean` | `getKeepFirstSame()` Deprecated. Getter method for the KeepFirstSame property.
`boolean` | `getKeepSecondSame()` Deprecated. Getter method for the KeepSecondSame property.
`boolean` | `getPanesSwapped()` Deprecated.
`int` | `getSplitPosition()` Deprecated. Getter method for the SplitPosition property.
`Component` | `getSplitterComponent()` Deprecated. Getter method for the SplitterComponent property.
`int` | `getSplitterType()` Deprecated. Getter method for the SplitterType property.
`int` | `getSplitType()` Deprecated. Getter method for the SplitType property.
`boolean` | `isContinuousLayout()` Deprecated. Getter method for the ContinuousLayout property.
`boolean` | `isSplitAbsolute()` Deprecated. Getter method for the SplitAbsolute property.
`boolean` | `isSplitDragable()` Deprecated. Getter method for the SplitDragable property.
`boolean` | `isSplitTypeChangeEnabled()` Deprecated. Getter method for the SplitTypeChangeEnabled property.
`boolean` | `isSwapPanesEnabled()` Deprecated. Getter method for the SwapPanesEnabled property.
`void` | `removeSplitChangeListener(SplittedPanel.SplitChangeListener l)` Deprecated. Removes specified listener from the current set of SplitChangeListeners
`void` | `setContinuousLayout(boolean value)` Deprecated. Setter method for the ContinuousLayout property.
`void` | `setKeepFirstSame(boolean value)` Deprecated. Setter method for the KeepFirstSame property.
`void` | `setKeepSecondSame(boolean value)` Deprecated. Setter method for the KeepSecondSame property.
`void` | `setSplitAbsolute(boolean value)` Deprecated. Setter method for the SplitAbsolute property.
`void` | `setSplitDragable(boolean value)` Deprecated. Setter method for the Dragable property.
`void` | `setSplitPosition(int value)` Deprecated. Setter method for the SplitPosition property.
`void` | `setSplitterComponent(Component comp)` Deprecated. Setter method for the SplitterComponent property.
`protected void` | `setSplitterCursor()` Deprecated. Updates the splitter's cursor according to the current SplittedPanel settings.
`void` | `setSplitterType(int type)` Deprecated. Setter method for the SplitterType property.
`void` | `setSplitType(int value)` Deprecated. Setter method for the SplitType property.
`void` | `setSplitTypeChangeEnabled(boolean value)` Deprecated. Setter method for the SplitTypeChangeEnabled property.
`void` | `setSwapPanesEnabled(boolean value)` Deprecated. Setter method for the SwapPanesEnabled property.
`void` | `swapPanes()` Deprecated. Swaps the panes.
`protected void` | `updatePopupMenu()` Deprecated. Updates the splitter's popup menu.
`protected void` | `updateSplitting()` Deprecated. Updates the visual state and layout when the split state changes.
`void` | `updateUI()` Deprecated. Updates splitting, too.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  Deprecated.
  constant for no split - only the first (left/top) component will be shown

  See Also:
    Constant Field Values

### VERTICAL

    public static final int VERTICAL

  Deprecated.
  constant for vertical split

  See Also:
    Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

  Deprecated.
  constant for horizontal split

  See Also:
    Constant Field Values

### ADD_SPLITTER

    public static final Object ADD_SPLITTER

  Deprecated.
  constraints constant for adding a splitter

### ADD_FIRST

    public static final Object ADD_FIRST

  Deprecated.
  constraints constant for adding a component to the first (left/top) pane

### ADD_SECOND

    public static final Object ADD_SECOND

  Deprecated.
  constraints constant for adding a component to the second (right/bottom) pane

### ADD_LEFT

    public static final Object ADD_LEFT

  Deprecated.
  constraints constant for adding a component to the left(top) pane (an alias for the ADD_FIRST constant)

### ADD_TOP

    public static final Object ADD_TOP

  Deprecated.
  constraints constant for adding a component to the top(left) pane (an alias for the ADD_FIRST constant)

### ADD_RIGHT

    public static final Object ADD_RIGHT

  Deprecated.
  constraints constant for adding a component to the right(bottom) pane (an alias for the ADD_SECOND constant)

### ADD_BOTTOM

    public static final Object ADD_BOTTOM

  Deprecated.
  constraints constant for adding a component to the bottom(right) pane (an alias for the ADD_SECOND constant)

### FIRST_PREFERRED

    public static final int FIRST_PREFERRED

  Deprecated.
  constant for moving the split point so that the first (left/top) component is sized according to its preferredSize

  See Also:
    Constant Field Values

### SECOND_PREFERRED

    public static final int SECOND_PREFERRED

  Deprecated.
  constant for moving the split point so that the second (right/bottom) component is sized according to its preferredSize

  See Also:
    Constant Field Values

### RAISED_SPLITTER

    public static final int RAISED_SPLITTER

  Deprecated.
  constant for splitter component types - raised splitter

  See Also:
    Constant Field Values

### EMPTY_SPLITTER

    public static final int EMPTY_SPLITTER

  Deprecated.
  constant for splitter component types - empty splitter

  See Also:
    Constant Field Values

### DEFAULT_SPLITTER

    public static final int DEFAULT_SPLITTER

  Deprecated.
  constant for splitter component types - default splitter (raised)

  See Also:
    Constant Field Values

Constructor Detail

### SplittedPanel

    public SplittedPanel()

  Deprecated.
  Constructs a new empty SplittedPanel with no spliting.

Method Detail

### updateUI

    public void updateUI()

  Deprecated.
  Updates splitting, too.

  Overrides:
    `updateUI` in class `JComponent`

### updateSplitting

    protected void updateSplitting()

  Deprecated.
  Updates the visual state and layout when the split state changes.

### computeSizesAfterFlip

    protected void computeSizesAfterFlip()

  Deprecated.
  Computes component sizes after performing the flip, it means splitTypeChange

### setSplitterCursor

    protected void setSplitterCursor()

  Deprecated.
  Updates the splitter's cursor according to the current SplittedPanel settings.

### updatePopupMenu

    protected void updatePopupMenu()

  Deprecated.
  Updates the splitter's popup menu.

### swapPanes

    public void swapPanes()

  Deprecated.
  Swaps the panes.

### getPanesSwapped

    public boolean getPanesSwapped()

  Deprecated.
  Returns:
    true if the panes are swapped, false otherwise

### getSplitType

    public int getSplitType()

  Deprecated.
  Getter method for the SplitType property.

  Returns:
    Current SplitType value.

### setSplitType

    public void setSplitType(int value)

  Deprecated.
  Setter method for the SplitType property.

  Parameters:
    `value` - New SplitType value.

### getSplitPosition

    public int getSplitPosition()

  Deprecated.
  Getter method for the SplitPosition property.

  Returns:
    Current SplitPosition value.

### setSplitPosition

    public void setSplitPosition(int value)

  Deprecated.
  Setter method for the SplitPosition property.

  Parameters:
    `value` - New SplitPosition value.

### getSplitterType

    public int getSplitterType()

  Deprecated.
  Getter method for the SplitterType property.

  Returns:
    Current SplitterType value.
  See Also:
    `EMPTY_SPLITTER`, `RAISED_SPLITTER`, `DEFAULT_SPLITTER`

### setSplitterType

    public void setSplitterType(int type)

  Deprecated.
  Setter method for the SplitterType property.

  Parameters:
    `type` - New SplitterType value.
  See Also:
    `EMPTY_SPLITTER`, `RAISED_SPLITTER`, `DEFAULT_SPLITTER`

### getSplitterComponent

    public Component getSplitterComponent()

  Deprecated.
  Getter method for the SplitterComponent property.

  Returns:
    Current SplitterComponent value.
  See Also:
    `getSplitterType()`

### setSplitterComponent

    public void setSplitterComponent(Component comp)

  Deprecated.
  Setter method for the SplitterComponent property.

  Parameters:
    `comp` - New SplitterComponent value.
  See Also:
    `setSplitterType(int)`

### isSplitAbsolute

    public boolean isSplitAbsolute()

  Deprecated.
  Getter method for the SplitAbsolute property.

  Returns:
    Current SplitAbsolute value.

### setSplitAbsolute

    public void setSplitAbsolute(boolean value)

  Deprecated.
  Setter method for the SplitAbsolute property.

  Parameters:
    `value` - New SplitAbsolute value.

### isSplitDragable

    public boolean isSplitDragable()

  Deprecated.
  Getter method for the SplitDragable property.

  Returns:
    Current SplitDragable value.

### setSplitDragable

    public void setSplitDragable(boolean value)

  Deprecated.
  Setter method for the Dragable property.

  Parameters:
    `value` - New Dragable value.

### isContinuousLayout

    public boolean isContinuousLayout()

  Deprecated.
  Getter method for the ContinuousLayout property.

  Returns:
    Current ContinuousLayout value.

### setContinuousLayout

    public void setContinuousLayout(boolean value)

  Deprecated.
  Setter method for the ContinuousLayout property.

  Parameters:
    `value` - New ContinuousLayout value.

### getKeepFirstSame

    public boolean getKeepFirstSame()

  Deprecated.
  Getter method for the KeepFirstSame property.

  Returns:
    Current KeepFirstSame value.

### setKeepFirstSame

    public void setKeepFirstSame(boolean value)

  Deprecated.
  Setter method for the KeepFirstSame property.

  Parameters:
    `value` - New KeepFirstSame value.

### getKeepSecondSame

    public boolean getKeepSecondSame()

  Deprecated.
  Getter method for the KeepSecondSame property.

  Returns:
    Current KeepSecondSame value.

### setKeepSecondSame

    public void setKeepSecondSame(boolean value)

  Deprecated.
  Setter method for the KeepSecondSame property.

  Parameters:
    `value` - New KeepSecondSame value.

### isSplitTypeChangeEnabled

    public boolean isSplitTypeChangeEnabled()

  Deprecated.
  Getter method for the SplitTypeChangeEnabled property.

  Returns:
    Current SplitTypeChangeEnabled value.

### setSplitTypeChangeEnabled

    public void setSplitTypeChangeEnabled(boolean value)

  Deprecated.
  Setter method for the SplitTypeChangeEnabled property.

  Parameters:
    `value` - New SplitTypeChangeEnabled value.

### isSwapPanesEnabled

    public boolean isSwapPanesEnabled()

  Deprecated.
  Getter method for the SwapPanesEnabled property.

  Returns:
    Current SwapPanesEnabled value.

### setSwapPanesEnabled

    public void setSwapPanesEnabled(boolean value)

  Deprecated.
  Setter method for the SwapPanesEnabled property.

  Parameters:
    `value` - New SwapPanesEnabled value.

### addSplitChangeListener

    public void addSplitChangeListener(SplittedPanel.SplitChangeListener l)

  Deprecated.
  Adds specified listener to the current set of SplitChangeListeners

### removeSplitChangeListener

    public void removeSplitChangeListener(SplittedPanel.SplitChangeListener l)

  Deprecated.
  Removes specified listener from the current set of SplitChangeListeners

### fireSplitChange

    protected void fireSplitChange(int oldValue,
                                   int newValue)

  Deprecated.
  Fires the SplitChange event

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Deprecated.
  Specified by:
    `getAccessibleContext` in interface `Accessible`
  Overrides:
    `getAccessibleContext` in class `JComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.